<?
 /*SCRIPT PARA MANTENIMIENTO DEL PERFIL DE USUARIO */
 /*DESARROLLADO POR: JOSE EFREN MONTERROSO SOLARES jefren@galileo.edu*/
  include("../fnc.php");
  enlinea_c();
  $cambio=false;
    $qc=mysql_query("select * from usuarios where usuario = '$uuser'");
    $info=mysql_fetch_array($qc);

  if($txtoc and $txtnc and $txtcc){

    if($info[clave]==base64_encode($txtoc)){
       if($txtnc != $txtcc){
          alert("La nueva clave no coincide","javascript:history.go(-1)");
       }else{
          $txtnewpass=base64_encode($txtnc);
          $sid=session_start();
          $upd=mysql_query("update usuarios set clave = '$txtnewpass' where usuario = '$uuser'");
          $upd2=mysql_query("update sesion set clave = '$txtnewpass' where usuario = '$uuser'");
          $msg.="\\n-Clave de acceso";
          $cambio=true;
       }
    }else{
       alert("La clave actual no coincide","javascript:historyog.(-1)");
    }
  }

  if($info[mail]!=$txtmail){
    $cambio=true;
    $upd=mysql_query("update usuarios set mail = '$txtmail' where usuario = '$uuser'");
    $ups=mysql_query("update sesion set mail = '$txtmail' where usuario = '$uuser'");
    $msg.="\\n-Correo electrónico";
  }

  if($info[telefono]!=$txttelefono){
    $cambio=true;
    $upd=mysql_query("update usuarios set telefono = '$txttelefono' where usuario = '$uuser'");
    $msg.="\\n-Número de teléfono";
  }

  if($cambio==true){
    alert("Se hicieron los siguientes cambios: \\n\\n$msg","inicio.php");
  }else{
    alert("No hay cambios en su información","inicio.php");
  }
?>